Subject: bug#16345: 24.3; url-http sometimes closes connection prematurely

From: James Stout <[email-masked]>
Date: Mon, 28 Dec 2015 10:50:44 -0800

This is the first Emacs patch I've ever sent; let me know if I'm doing it
wrong.

On Mon, Dec 28, 2015 at 9:49 AM, Lars Ingebrigtsen <[email-masked]> wrote:

> James Stout <[email-masked]> writes:
>
> > I'm suggesting the following change:
> >
> > Before: (if (re-search-forward "^\r*$" nil t) (url-http-debug "Saw end of
> > trailers..."))
> > After: (if (re-search-forward "^\r?\n" nil t) (url-http-debug "Saw end of
> > trailers..."))
> >
> > This is based purely on my reading of the spec; this wasn't actually a
> problem
> > I ran into (and it's just going to affect a debug message).
>
> Can you send a patch for the change?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>